# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Module-Signature
Version:	0.68
Release:	1.%{__distinit}%{__distvers}
Summary:	CPAN signature management utilities and modules
Group:		Development/Libraries
License:	CC0
URL:		http://search.cpan.org/dist/Module-Signature/
Source0:	http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Module-Signature-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	gnupg
BuildRequires:	perl(Digest::SHA)
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IPC::Run)
BuildRequires:	perl(Test::More)
Requires:	gnupg
Requires:	perl(Digest::SHA)
Requires:	perl(Digest::SHA1)
Requires:	perl(PAR::Dist)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This package contains command line tools and utilities a module for
checking and creating SIGNATURE files for Perl CPAN distributions.

%prep
%setup -q -c -n Module-Signature

# Copy up documentation for convenience with %%doc
cp -a Module-Signature-%{version}/{AUTHORS,Changes,README,*.pub} .

# Create a GPG directory for testing, to avoid using ~/.gnupg
mkdir --mode=0700 gnupghome
export GNUPGHOME=$(pwd)/gnupghome
gpg --import *.pub

%build
cd Module-Signature-%{version}
PERL_AUTOINSTALL=--skipdeps perl Makefile.PL INSTALLDIRS=vendor --installdeps
make %{?_smp_mflags}
cd -

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make -C Module-Signature-%{version} pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
export GNUPGHOME=$(pwd)/gnupghome
make -C Module-Signature-%{version} test TEST_SIGNATURE=1

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README *.pub
%{_bindir}/cpansign
%{perl_vendorlib}/Module/
%{_mandir}/man1/cpansign.1*
%{_mandir}/man3/Module::Signature.3pm*

%changelog
* Fri May 13 2011 Paul Howarth <paul@city-fan.org> - 0.68-1
- Update to 0.68
  - Fix breakage introduced by 0.67 (CPAN RT#68150)

* Mon Apr 18 2011 Paul Howarth <paul@city-fan.org> - 0.67-1
- Update to 0.67
  - Better handling of \r (CPAN RT#46339)
- BR: perl(IPC::Run) for test suite
- Nobody else likes macros for commands

* Tue Sep  7 2010 Paul Howarth <paul@city-fan.org> - 0.66-1
- Update to 0.66
  - Fix incompatibility with EU::Manifest 1.54 to 1.57 (CPAN RT#61124)
- Drop upstreamed patch for ExtUtils::Manifest problem

* Mon Sep  6 2010 Paul Howarth <paul@city-fan.org> - 0.65-1
- Update to 0.65 (skip MYMETA)
- Add patch to fix operation with ExtUtils::Manifest 1.54 to 1.57
- Add public key for packager-signed patched distribution

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 0.64-2
- Rebuild for perl 5.12.1 in Rawhide

* Mon May 10 2010 Paul Howarth <paul@city-fan.org> - 0.64-1
- Update to 0.64
  - Avoid creating gnupg config files when invoking Makefile.PL (CPAN RT#41978)
  - Correctly detect the gnupg version on cygwin (CPAN RT#39258)
- Fix build process to avoid the need to use ~/.gnupg
- Fix dist tag to work with RHEL6 Beta

* Sun Mar 28 2010 Paul Howarth <paul@city-fan.org> - 0.63-1
- Update to 0.63 (fix diagnostic message from Makefile.PL when the user doesn't
  have gnupg or Crypt::OpenPGP)

* Wed Mar 24 2010 Paul Howarth <paul@city-fan.org> - 0.62-1
- Update to 0.62
  - Change default keyserver from pgp.mit.edu to pool.sks-keyservers.net
- This release by FLORA -> update source URL

* Thu Nov 19 2009 Paul Howarth <paul@city-fan.org> - 0.61-1
- Update to 0.61 (POD encoding changed to UTF-8)

* Tue Nov 17 2009 Paul Howarth <paul@city-fan.org> - 0.60-2
- License tag made CC0-specific rather than just "Public Domain"

* Tue Nov 17 2009 Paul Howarth <paul@city-fan.org> - 0.60-1
- Update to 0.60 (relicensed to Creative Commons CC0 1.0 Universal)
- Dist tag for Rawhide no longer needs special-casing

* Sun Sep  6 2009 Paul Howarth <paul@city-fan.org> - 0.55-5
- Define RPM macros in global scope
- Require and BuildRequire perl(Digest::SHA)

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 0.55-4
- Import from Fedora
- Make PAR::Dist a hard dependency again
- Check signature in test suite

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.55-3
- Rebuild for new perl

* Tue Apr 17 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.55-2
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::More).

* Tue Aug 22 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.55-1
- 0.55.
- Make PAR::Dist dependency a Requires(hint).

* Fri May 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.54-1
- 0.54, license changed to MIT.

* Wed Feb  1 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.53-1
- 0.53.

* Fri Jan 20 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.52-1
- 0.52.
- Run non-live tests during build and make live ones optional, enabled
  when building with "--with livetests".

* Mon Jan  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.51-1
- 0.51.

* Mon Aug 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.50-1
- 0.50.

* Wed Aug 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.45-1
- 0.45.

* Thu Apr  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.44-2
- Drop Epoch: 0 and 0.fdr. release prefix.

* Fri Dec 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.44-0.fdr.1
- Update to 0.44.

* Sun Nov 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.42-0.fdr.1
- Update to 0.42.

* Tue Jul  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.2
- Require perl(Digest::SHA1) (bug 1606).

* Mon Jul  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.41-0.fdr.1
- Update to 0.41.

* Fri Jul  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.40-0.fdr.1
- Update to 0.40.

* Fri Jun 18 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.39-0.fdr.1
- Update to 0.39.

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.4
- Really use pure_install (bug 1606).
- Fix build with older mktemp versions which require a template (bug 1606).

* Mon May 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.3
- Fix build in setups which do not generate debug packages (bug 1606).
- Require perl >= 1:5.6.1 for vendor install dir support.
- Use pure_install to avoid perllocal.pod workarounds.

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.2
- Require perl(:MODULE_COMPAT_*).

* Sat Mar 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.38-0.fdr.1
- First build.
